<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjNotificationModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'notifications';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'user_id', 'type' => 'int', 'default' => ':NULL')
	);
	
	protected $i18n = array(
		'confirm_subject', 'confirm_message',
		'notify_subject', 'notify_message',
		'new_account_subject', 'new_account_message',
		'forgot_subject', 'forgot_message',
		'contact_subject', 'contact_message'
	);
	
	public static function factory($attr=array())
	{
		return new pjNotificationModel($attr);
	}
}
?>